/*
   A little input demo
 */

#include <stdio.h>
#include <comedilib.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <errno.h>
#include <getopt.h>
#include <ctype.h>


sampl_t data[10000];


int main(int argc, char *argv[])
{
	int file;
	char *fn = NULL;
	comedi_trig it;
	unsigned int chan;
	int err;

	fn = "/dev/comedi0";

	file = open(fn, O_RDWR);
	if (file < 0) {
		perror(fn);
		exit(0);
	}

	it.subdev = 0;
	it.mode = 2;
	it.flags = 0;
	it.n_chan = 1;
	it.chanlist = &chan;
	it.data = data;
	it.n = 1000;
	it.trigsrc = 0;
	it.trigvar = 1999;
	it.trigvar1 = 0;

	chan = CR_PACK(0, 0, 3);

	if ((err = ioctl(file, COMEDI_TRIG, &it)) < 0) {
		perror("ioctl");
		printf("%d\n", errno);
		exit(1);
	}

	if(read(file,data,10000*sizeof(sampl_t))<0){
		perror("read");
		exit(1);
	}
}

